> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/remittance-api/business/exchange/query-exchange-orders.md).

# Query Exchange Orders

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/exchange/query-orders`

### **Request Body**

**Refer to :** [**common**](/reference/remittance-api/common.md)

**Biz\_data**

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id</td><td>long</td><td>Merchant ID</td></tr><tr><td>order_no</td><td>string</td><td>Order number. Globally unique.</td></tr><tr><td>order_status</td><td>integer</td><td><p>Order Status</p><p>Refer to <a href="/pages/SQgzx3g9EUhBdeJLOk4p">Order Status</a></p></td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td>Begin time Format:yyyy-MM-dd HH:mm:ss</td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td><p>End_date</p><p>Format:yyyy-MM-dd HH:mm:ss</p></td></tr><tr><td>page_num</td><td>integer</td><td><p>Page Number</p><p>Default value: 1</p></td></tr><tr><td>page_size</td><td>integer</td><td><p>Page size</p><p>Default value: 10</p><p>Max value: 30</p></td></tr></tbody></table>

{% hint style="info" %}
max query time range : 7 days
{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":[
     ],
    "total":6,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}

{% tab title="403" %}

{% endtab %}
{% endtabs %}

| Name                                            | Type        | Description                                                                               |
| ----------------------------------------------- | ----------- | ----------------------------------------------------------------------------------------- |
| order\_id<mark style="color:red;">\*</mark>     | long        | Order ID                                                                                  |
| merchant\_id<mark style="color:red;">\*</mark>  | long        | Merchant ID                                                                               |
| order\_no<mark style="color:red;">\*</mark>     | string      | Order number                                                                              |
| order\_status<mark style="color:red;">\*</mark> | integer     | <p>Order Status</p><p>Refer to <a href="/pages/SQgzx3g9EUhBdeJLOk4p">Order Status</a></p> |
| quote\_id<mark style="color:red;">\*</mark>     | long        | Quote ID                                                                                  |
| sell\_currency                                  | string      | Sell currency                                                                             |
| sell\_amount                                    | string      | Sell amount                                                                               |
| buy\_currency                                   | string      | Buy currency                                                                              |
| buy\_amount                                     | string      | Buy amount                                                                                |
| fixed\_side                                     | string      | <p>Fixed side</p><p>Refer to <a href="/pages/KWTOgxW4eK3G0xiDj2ih">Fixed Side</a></p>     |
| conversion\_rate                                | string      | Conversion Rate                                                                           |
| transaction\_ids                                | list\<long> | Transaction ID                                                                            |
| error\_message                                  | string      | Error Message                                                                             |
| created\_at                                     | string      | <p>Created At</p><p>Format: yyyy-MM-dd HH:mm:ss</p>                                       |

### Example <a href="#example" id="example"></a>

<pre><code>
<strong>curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/exchange/query-orders' \
</strong>--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
</code></pre>

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
